Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.instrumentation
Class AbstractPreparedQueryCacheInstrument

    java.lang.Object
      org.apache.openjpa.lib.instrumentation.AbstractInstrument
          org.apache.openjpa.instrumentation.AbstractPreparedQueryCacheInstrument

All Implemented Interfaces:
  PreparedQueryCacheInstrument, Instrument

Direct Known Subclasses:
  PreparedQueryCacheJMXInstrument

    public abstract class AbstractPreparedQueryCacheInstrument

extends AbstractInstrument
implements PreparedQueryCacheInstrument

Provides a basic instrument implementation wrapper for the prepared query cache. This class can be extended to create a provider specific instrument for the prepared query cache.

Field Summary
`static long` | `NO_STATS`

Constructor Summary
`AbstractPreparedQueryCacheInstrument()`

Method Summary
`String` | `getConfigId()`
`String` | `getContextRef()`
`long` | `getExecutionCount()` Returns number of total execution requests since last reset
`long` | `getExecutionCount(String query)` Returns number of total execution requests since last reset
`long` | `getHitCount()` Returns number of total read requests that have been found in cache since last reset.
`long` | `getHitCount(String query)` Returns number of total read requests that have been found in cache since last reset.
`InstrumentationLevel` | `getLevel()` Gets the instrumentation level of this instrument.
`long` | `getTotalExecutionCount()` Returns number of total exec requests since start.
`long` | `getTotalExecutionCount(String query)` Returns number of total exec requests since start.
`long` | `getTotalHitCount()` Returns number of total read requests that has been found since start.
`long` | `getTotalHitCount(String query)` Returns number of total read requests that has been found since start.
`Set<String>` | `queries()` Returns all queries currently tracked in the cache.
`void` | `reset()` Resets cache statistics
`void` | `setConfigId(String cid)`
`void` | `setContextRef(String cref)`
`void` | `setPreparedQueryCache(PreparedQueryCache qc)`
`Date` | `sinceDate()` Returns date since cache statistics collection were last reset.
`Date` | `startDate()` Returns date cache statistics collection started.

Methods inherited from class org.apache.openjpa.lib.instrumentation.AbstractInstrument
`getContext, getName, getOptions, getProvider, initialize, isStarted, restart, setContext, setOptions, setProvider, setStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.lib.instrumentation.Instrument
`start, stop`

Field Detail

### NO_STATS

    public static final long NO_STATS

See Also:
  Constant Field Values

Constructor Detail

### AbstractPreparedQueryCacheInstrument

    public AbstractPreparedQueryCacheInstrument()

Method Detail

### setConfigId

    public void setConfigId(String cid)

### setContextRef

    public void setContextRef(String cref)

### getConfigId

    public String getConfigId()

### getContextRef

    public String getContextRef()

### setPreparedQueryCache

    public void setPreparedQueryCache(PreparedQueryCache qc)

### getExecutionCount

    public long getExecutionCount()

  Description copied from interface: `PreparedQueryCacheInstrument`
  Returns number of total execution requests since last reset

  Specified by:
    `getExecutionCount` in interface `PreparedQueryCacheInstrument`

### getExecutionCount

    public long getExecutionCount(String query)

  Description copied from interface: `PreparedQueryCacheInstrument`
  Returns number of total execution requests since last reset

  Specified by:
    `getExecutionCount` in interface `PreparedQueryCacheInstrument`

### getTotalExecutionCount

    public long getTotalExecutionCount()

  Description copied from interface: `PreparedQueryCacheInstrument`
  Returns number of total exec requests since start.

  Specified by:
    `getTotalExecutionCount` in interface `PreparedQueryCacheInstrument`

### getTotalExecutionCount

    public long getTotalExecutionCount(String query)

  Description copied from interface: `PreparedQueryCacheInstrument`
  Returns number of total exec requests since start.

  Specified by:
    `getTotalExecutionCount` in interface `PreparedQueryCacheInstrument`

### getHitCount

    public long getHitCount()

  Description copied from interface: `PreparedQueryCacheInstrument`
  Returns number of total read requests that have been found in cache since last reset.

  Specified by:
    `getHitCount` in interface `PreparedQueryCacheInstrument`

### getHitCount

    public long getHitCount(String query)

  Description copied from interface: `PreparedQueryCacheInstrument`
  Returns number of total read requests that have been found in cache since last reset.

  Specified by:
    `getHitCount` in interface `PreparedQueryCacheInstrument`

### getTotalHitCount

    public long getTotalHitCount()

  Description copied from interface: `PreparedQueryCacheInstrument`
  Returns number of total read requests that has been found since start.

  Specified by:
    `getTotalHitCount` in interface `PreparedQueryCacheInstrument`

### getTotalHitCount

    public long getTotalHitCount(String query)

  Description copied from interface: `PreparedQueryCacheInstrument`
  Returns number of total read requests that has been found since start.

  Specified by:
    `getTotalHitCount` in interface `PreparedQueryCacheInstrument`

### reset

    public void reset()

  Description copied from interface: `PreparedQueryCacheInstrument`
  Resets cache statistics

  Specified by:
    `reset` in interface `PreparedQueryCacheInstrument`

### sinceDate

    public Date sinceDate()

  Description copied from interface: `PreparedQueryCacheInstrument`
  Returns date since cache statistics collection were last reset.

  Specified by:
    `sinceDate` in interface `PreparedQueryCacheInstrument`

### startDate

    public Date startDate()

  Description copied from interface: `PreparedQueryCacheInstrument`
  Returns date cache statistics collection started.

  Specified by:
    `startDate` in interface `PreparedQueryCacheInstrument`

### queries

    public Set<String> queries()

  Description copied from interface: `PreparedQueryCacheInstrument`
  Returns all queries currently tracked in the cache.

  Specified by:
    `queries` in interface `PreparedQueryCacheInstrument`
  Returns:

### getLevel

    public InstrumentationLevel getLevel()

  Description copied from interface: `Instrument`
  Gets the instrumentation level of this instrument. The instrumentation level determines if and when the instrument will automatically start and stop.

  Specified by:
    `getLevel` in interface `Instrument`
  Overrides:
    `getLevel` in class `AbstractInstrument`
  Returns:
    the instrumentation level of the instrument

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.